Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.util
Class ResourceCopier

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
          edu.stanford.smi.protegex.owl.model.util.ResourceCopier

All Implemented Interfaces:
  OWLModelVisitor

    public class ResourceCopier

extends OWLModelVisitorAdapter

A utility visitor class to copy resources by their slot values. This class is used to generate replicas of a class description and will only copy anonymous classes, leaving references to named classes, properties and individuals. Slots that are NOT copied include all sub/superclass slots and several others including :NAME

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 10-Jan-2006

Field Summary
`protected static String[]` | `doNotCopySlots`

Constructor Summary
`ResourceCopier()`

Method Summary
`void` | `copyMultipleSlotValues(RDFResource source, RDFResource target)`
`void` | `copySlotValues(RDFResource source, RDFResource target, edu.stanford.smi.protege.model.Slot slot)`
`RDFObject` | `getCopy()` Returns the last copy of the last visited resource.
`void` | `visitOWLAllDifferent(OWLAllDifferent source)`
`void` | `visitOWLAllValuesFrom(OWLAllValuesFrom source)`
`void` | `visitOWLCardinality(OWLCardinality source)`
`void` | `visitOWLComplementClass(OWLComplementClass source)`
`void` | `visitOWLDataRange(OWLDataRange source)`
`void` | `visitOWLDatatypeProperty(OWLDatatypeProperty source)`
`void` | `visitOWLEnumeratedClass(OWLEnumeratedClass source)`
`void` | `visitOWLHasValue(OWLHasValue source)`
`void` | `visitOWLIndividual(OWLIndividual source)`
`void` | `visitOWLIntersectionClass(OWLIntersectionClass source)`
`void` | `visitOWLMaxCardinality(OWLMaxCardinality source)`
`void` | `visitOWLMinCardinality(OWLMinCardinality source)`
`void` | `visitOWLNamedClass(OWLNamedClass source)`
`void` | `visitOWLObjectProperty(OWLObjectProperty source)`
`void` | `visitOWLOntology(OWLOntology source)`
`void` | `visitOWLSomeValuesFrom(OWLSomeValuesFrom source)`
`void` | `visitOWLUnionClass(OWLUnionClass source)`
`void` | `visitRDFDatatype(RDFSDatatype source)`
`void` | `visitRDFIndividual(RDFIndividual source)`
`void` | `visitRDFList(RDFList source)`
`void` | `visitRDFProperty(RDFProperty source)`
`void` | `visitRDFSLiteral(RDFSLiteral source)`
`void` | `visitRDFSNamedClass(RDFSNamedClass source)`
`void` | `visitRDFUntypedResource(RDFUntypedResource source)`
`protected void` | `visitResourceToBeReferenced(RDFResource source)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
`visitSWRLAtomListIndividual, visitSWRLIndividual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### doNotCopySlots

    protected static String[] doNotCopySlots

Constructor Detail

### ResourceCopier

    public ResourceCopier()

Method Detail

### getCopy

    public RDFObject getCopy()

  Returns the last copy of the last visited resource. Note that repeatedly calling this method does not create multiple copies.

### visitOWLNamedClass

    public void visitOWLNamedClass(OWLNamedClass source)

  Specified by:
    `visitOWLNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLNamedClass` in class `OWLModelVisitorAdapter`

### visitOWLIndividual

    public void visitOWLIndividual(OWLIndividual source)

  Specified by:
    `visitOWLIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIndividual` in class `OWLModelVisitorAdapter`

### visitOWLObjectProperty

    public void visitOWLObjectProperty(OWLObjectProperty source)

  Specified by:
    `visitOWLObjectProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLObjectProperty` in class `OWLModelVisitorAdapter`

### visitOWLDatatypeProperty

    public void visitOWLDatatypeProperty(OWLDatatypeProperty source)

  Specified by:
    `visitOWLDatatypeProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDatatypeProperty` in class `OWLModelVisitorAdapter`

### visitRDFSNamedClass

    public void visitRDFSNamedClass(RDFSNamedClass source)

  Specified by:
    `visitRDFSNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFSNamedClass` in class `OWLModelVisitorAdapter`

### visitRDFIndividual

    public void visitRDFIndividual(RDFIndividual source)

  Specified by:
    `visitRDFIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFIndividual` in class `OWLModelVisitorAdapter`

### visitRDFProperty

    public void visitRDFProperty(RDFProperty source)

  Specified by:
    `visitRDFProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFProperty` in class `OWLModelVisitorAdapter`

### visitRDFDatatype

    public void visitRDFDatatype(RDFSDatatype source)

  Specified by:
    `visitRDFDatatype` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFDatatype` in class `OWLModelVisitorAdapter`

### visitResourceToBeReferenced

    protected void visitResourceToBeReferenced(RDFResource source)

### visitRDFSLiteral

    public void visitRDFSLiteral(RDFSLiteral source)

  Specified by:
    `visitRDFSLiteral` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFSLiteral` in class `OWLModelVisitorAdapter`

### visitRDFUntypedResource

    public void visitRDFUntypedResource(RDFUntypedResource source)

  Specified by:
    `visitRDFUntypedResource` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFUntypedResource` in class `OWLModelVisitorAdapter`

### visitOWLUnionClass

    public void visitOWLUnionClass(OWLUnionClass source)

  Specified by:
    `visitOWLUnionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLUnionClass` in class `OWLModelVisitorAdapter`

### visitOWLIntersectionClass

    public void visitOWLIntersectionClass(OWLIntersectionClass source)

  Specified by:
    `visitOWLIntersectionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIntersectionClass` in class `OWLModelVisitorAdapter`

### visitOWLEnumeratedClass

    public void visitOWLEnumeratedClass(OWLEnumeratedClass source)

  Specified by:
    `visitOWLEnumeratedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLEnumeratedClass` in class `OWLModelVisitorAdapter`

### visitOWLComplementClass

    public void visitOWLComplementClass(OWLComplementClass source)

  Specified by:
    `visitOWLComplementClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLComplementClass` in class `OWLModelVisitorAdapter`

### visitOWLSomeValuesFrom

    public void visitOWLSomeValuesFrom(OWLSomeValuesFrom source)

  Specified by:
    `visitOWLSomeValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLSomeValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLAllValuesFrom

    public void visitOWLAllValuesFrom(OWLAllValuesFrom source)

  Specified by:
    `visitOWLAllValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLAllValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLCardinality

    public void visitOWLCardinality(OWLCardinality source)

  Specified by:
    `visitOWLCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLCardinality` in class `OWLModelVisitorAdapter`

### visitOWLMaxCardinality

    public void visitOWLMaxCardinality(OWLMaxCardinality source)

  Specified by:
    `visitOWLMaxCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMaxCardinality` in class `OWLModelVisitorAdapter`

### visitOWLMinCardinality

    public void visitOWLMinCardinality(OWLMinCardinality source)

  Specified by:
    `visitOWLMinCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMinCardinality` in class `OWLModelVisitorAdapter`

### visitOWLHasValue

    public void visitOWLHasValue(OWLHasValue source)

  Specified by:
    `visitOWLHasValue` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLHasValue` in class `OWLModelVisitorAdapter`

### visitRDFList

    public void visitRDFList(RDFList source)

  Specified by:
    `visitRDFList` in interface `OWLModelVisitor`
  Overrides:
    `visitRDFList` in class `OWLModelVisitorAdapter`

### visitOWLAllDifferent

    public void visitOWLAllDifferent(OWLAllDifferent source)

  Specified by:
    `visitOWLAllDifferent` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLAllDifferent` in class `OWLModelVisitorAdapter`

### visitOWLDataRange

    public void visitOWLDataRange(OWLDataRange source)

  Specified by:
    `visitOWLDataRange` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDataRange` in class `OWLModelVisitorAdapter`

### visitOWLOntology

    public void visitOWLOntology(OWLOntology source)

  Specified by:
    `visitOWLOntology` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLOntology` in class `OWLModelVisitorAdapter`

### copyMultipleSlotValues

    public void copyMultipleSlotValues(RDFResource source,
                                       RDFResource target)

### copySlotValues

    public void copySlotValues(RDFResource source,
                               RDFResource target,
                               edu.stanford.smi.protege.model.Slot slot)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.